diff -urN gnome-mime-data-2.4.1-orig/gnome-vfs.keys.in gnome-mime-data-2.4.1/gnome-vfs.keys.in
--- gnome-mime-data-2.4.1-orig/gnome-vfs.keys.in	2004-10-05 16:18:03.786102000 +0900
+++ gnome-mime-data-2.4.1/gnome-vfs.keys.in	2004-10-05 16:18:48.516302000 +0900
@@ -63,7 +63,7 @@
 
 application/pdf
 	_description=PDF document
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_PDF_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_PDF_Control
 	short_list_component_iids_for_advanced_user_level=OAFIID:GNOME_PDF_Control
@@ -99,7 +99,7 @@
 
 application/postscript
 	_description=PostScript document
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_GGV_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_GGV_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_GGV_Control
@@ -937,7 +937,7 @@
 
 application/x-rpm
 	_description=RPM package
-	default_action_type=component
+	default_action_type=application
 	_category=Packages
 	use_category_default=yes
 
@@ -1317,7 +1317,7 @@
 # also image/x-bmp
 image/bmp
 	_description=Windows bitmap image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1340,7 +1340,7 @@
 
 image/gif
 	_description=GIF image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1356,7 +1356,7 @@
 
 image/jpeg
 	_description=JPEG image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1395,7 +1395,7 @@
 # also image/x-png
 image/png
 	_description=PNG image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1423,7 +1423,7 @@
 
 image/tiff
 	_description=TIFF image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1460,7 +1460,7 @@
 # also image/bmp
 image/x-bmp
 	_description=Windows bitmap image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1516,7 +1516,7 @@
 
 image/x-gray
 	_description=Raw Gray Sample
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1528,7 +1528,7 @@
 
 image/x-icb
 	_description=Truevision Targa image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1540,7 +1540,7 @@
 
 image/x-ico
 	_description=Windows icon image
-	default_action_type=component
+	default_action_type=application
 	_category=Images
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
@@ -1598,7 +1598,7 @@
 # also image/png
 image/x-png
 	_description=PNG image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1611,7 +1611,7 @@
 
 image/x-portable-anymap
 	_description=PNM image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1623,7 +1623,7 @@
 
 image/x-portable-bitmap
 	_description=PBM image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1636,7 +1636,7 @@
 
 image/x-portable-graymap
 	_description=PGM image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1648,7 +1648,7 @@
 
 image/x-portable-pixmap
 	_description=PPM image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1733,7 +1733,7 @@
 
 image/x-xpixmap
 	_description=XPM image
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_novice_user_level=OAFIID:GNOME_EOG_Control
 	short_list_component_iids_for_intermediate_user_level=OAFIID:GNOME_EOG_Control
@@ -1878,7 +1878,7 @@
 
 text/htmlh
 	_description=Help page
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:nautilus_mozilla_content_view:1ee70717-57bf-4079-aae5-922abdd576b1
 	short_list_component_iids_for_novice_user_level=OAFIID:nautilus_mozilla_content_view:1ee70717-57bf-4079-aae5-922abdd576b1
 	short_list_component_iids_for_intermediate_user_level=OAFIID:nautilus_mozilla_content_view:1ee70717-57bf-4079-aae5-922abdd576b1
@@ -2175,7 +2175,7 @@
 
 text/xml
 	_description=XML document
-	default_action_type=component
+	default_action_type=application
 	short_list_component_iids=OAFIID:nautilus_mozilla_content_view:1ee70717-57bf-4079-aae5-922abdd576b1,OAFIID:Nautilus_Text_View
 	short_list_component_iids_for_novice_user_level=OAFIID:nautilus_mozilla_content_view:1ee70717-57bf-4079-aae5-922abdd576b1,OAFIID:nautilus_text_view:fa466311-17c1-435c-8231-c9fc434b6437
 	short_list_component_iids_for_intermediate_user_level=OAFIID:nautilus_mozilla_content_view:1ee70717-57bf-4079-aae5-922abdd576b1,OAFIID:nautilus_text_view:fa466311-17c1-435c-8231-c9fc434b6437
